[RESOLVIDO] Falha ao Iniciar DaVinci Resolve - Dependencia libcrypt.so.1 - Fedora30

editado maio 7 em Workstation

Boa noite Galera!!!

Acabei de instalar DaVinci no Fedora 30, quando tento inicia-lo ele da erro esse erro:

/opt/resolve/bin/resolve: error while loading shared libraries: libcrypt.so.1: cannot open shared object file: No such file or directory

Ja tentei instalar essa lib de qualquer jeito mas nada faz ela aparecer:

tentei instalar (compat-openssl10-1, cryptui, libssl-dev)

como posso fazer para instalar essa dependencia ?

Comentários

  • Ja tentei tambem dar um ( sudo find / -iname libcrypt ) mas não encontrou nada.

  • editado maio 7

    Galera Consegui resolver:

    só instalei a(s) seguinte(s) dependencia(s):

    sudo dnf install libcrypt.so
  • Bom dia Felipe, essa instalaçao depende de repositorio, por exemplo eu so estou com RPMFUSIOM e quando executo esse comando acontece isso

    sudo dnf install libcrypt.so
    Última verificação de data de vencimento de metadados: 0:17:31 atrás em sáb 11 mai 2019 08:41:23 -03.
    Nenhuma correspondência para argumento: libcrypt.so
    Erro: Não foi possível encontrar uma correspondência

    quais repositorios vc tem, pq tb preciso dessa lib pra instalar o citrix receiver ?

    Obrigado,
    Ronaldo.

  • Ronaldo, E o pior que tentei reinstala-lo para verificar e deu como nao encontrado.

    Meus repositorios sao:

    fedora-cisco-openh264.repo
    fedora-modular.repo
    fedora.repo
    fedora-updates-modular.repo
    fedora-updates.repo
    fedora-updates-testing-modular.repo
    fedora-updates-testing.repo
    google-chrome.repo
    google-chrome.repo.rpmnew
    rpmfusion-free.repo
    rpmfusion-free-updates.repo
    rpmfusion-free-updates-testing.repo
    rpmfusion-nonfree-nvidia-driver.repo
    rpmfusion-nonfree.repo
    rpmfusion-nonfree-steam.repo
    rpmfusion-nonfree-updates.repo
    rpmfusion-nonfree-updates-testing.repo

  • Consegui resolver este pendencia do "libcrypt.so.1" instalando com o comando:

    sudo dnf install libxcrypt-compat.i686

Entre ou Registre-se para fazer um comentário.

Olá, bem-vind@!

Quer participar e contribuir? Clique no botão "Registrar-se" se é sua primeira vez aqui. Se você já é um dos nossos, clique em "Entrar".